\documentclass[12pt]{report}

\input{../preamble.tex}

\usepackage{blkarray}
\usepackage{nicematrix}

\usepackage[centertableaux]{ytableau}

\usepackage{tikz-cd}
% https://tex.stackexchange.com/questions/358837/incompatibility-between-tikz-cd-and-language
\usetikzlibrary{babel}

\usepackage{faktor}
\usepackage{xfrac}

%\newcommand{\qfrac}[2]{\faktor{#1}{{#2}}}  % don't treat second argument as operator
\newcommand{\qfrac}[2]{\raisebox{.2em}{\(#1\)}\left/\raisebox{-.2em}{{\(#2\)}}\right.}
%\newcommand{\qfrac}[2]{{#1}/{#2}}

\DeclarePairedDelimiterX{\linspan}[1]{\langle}{\rangle}{#1}
\DeclarePairedDelimiterX{\inner}[2]{(}{)}{#1, #2}

\DeclareMathOperator{\cont}{cont}
\DeclareMathOperator{\rk}{rk}
\DeclareMathOperator{\Stab}{Stab}
\DeclareMathOperator{\Tors}{Tors}
\DeclareMathOperator{\Ann}{Ann}
\DeclareMathOperator{\tr}{tr}
\DeclareMathOperator{\Rad}{Rad}

\DeclareMathOperator{\rank}{rank}
\DeclareMathOperator{\disc}{disc}

\DeclareMathOperator{\Sym}{Sym}
\DeclareMathOperator{\Mat}{Mat}
\DeclareMathOperator{\E}{E}
\DeclareMathOperator{\GL}{GL}
\DeclareMathOperator{\SL}{SL}
\DeclareMathOperator{\SO}{SO}

\DeclareMathOperator{\Gr}{Gr}

\newcommand\conj[1]{\overline{#1}}

\title{Алгебра II}

\begin{document}
  \maketitle

  \tableofcontents
  \newpage
  \listoflecture
  \newpage

  \input{lec_01.tex}
  \input{lec_02.tex}
  \input{lec_03.tex}
  \input{lec_04.tex}
  \input{lec_05.tex}
  \input{lec_06.tex}
  \input{lec_07.tex}
  \input{lec_08.tex}
  \input{lec_09.tex}
  \input{lec_10.tex}
  \input{lec_11.tex}
  \input{lec_12.tex}
  \input{lec_13.tex}
  \input{lec_14.tex}
  \input{lec_15.tex}
  \input{lec_16.tex}
  \input{lec_17.tex}
  \input{lec_18.tex}
  \input{lec_19.tex}
  \input{lec_20.tex}
  \input{lec_21.tex}
  \input{lec_22.tex}
  \input{lec_23.tex}
  \input{lec_24.tex}
  \input{lec_25.tex}
  \input{lec_26.tex}
\end{document}
